! Pierdere de semnificatie:
real *8 xx,ff
f(x)   = x*(sqrt(x +1) -sqrt(x))
ff(xx) = xx*(dsqrt(xx +1) -dsqrt(xx))
g(x)   = x/(sqrt(x +1) +sqrt(x))

open(1, file='loss.dat', status='unknown')
write(1,'(a)') ' f(x) =x*(sqrt(x+1) -sqrt(x))'
write(1,'(a)') ' g(x) =x/(sqrt(x+1) +sqrt(x))'
write(1,*)
write(1, '(a)') ' x         f(x):single    f(x):double(true)  g(x)'

do i =1,7
x =10.**i
xx =10D0**i
write(1,'(1pG8.1, G15.7, G16.8, 3x, G15.7)') x, f(x), ff(xx), g(x)
enddo

end
